Bug 106645 - Slow performance on inactive machine
Slow performance on inactive machine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-08 22:00 EDT by Gil Chilton
Modified: 2015-01-04 17:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 01:12:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gil Chilton 2003-10-08 22:00:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030624

Description of problem:
If I don't log in to the console and leave the computer idle for a period of
time (>15 minutes?) the performance becomes very slow via remote access to the
machine via ssh.  Performance is between 8-12 times slower than if console is
active (no screensaver active).  Deactivating screensaver but not logging in to
console returns performance to normal.


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2087.nptl

How reproducible:
Always

Steps to Reproduce:
1. Boot up machine, compile code using ant or running hdparm -t -T /dev/hda
either logged into console or via ssh.  Performance is great (probably better
than under 7.3 which was the last RHL on the machine).
2. Leave machine running for a period of time, screen saver or equivalent kicks
in, runlevel 3 or 5.  Ssh into box and compile code using ant or run "hdparm -t
-T /dev/hda".  Performance is noticably slower, java takes 10-12 times longer,
hdparm shows performance is 8-10 times slower from step 1.
3. Stay connected via ssh, hit left arrow button on X terminal to bring up login
screen, do nothing else on console.  Run same tests as above via ssh. 
Performance returns to normal.  I haven't tried this under runlevel 3 but will
in the morning.
    

Actual Results:  Slow performance when machine is inactive

Expected Results:  Normal performance when machine is inactive

Additional info:
Comment 3 Mike A. Harris 2003-10-30 14:04:00 EST
Which screensaver specifically is running, and is it a GL screensaver?  If
it's random or you're not sure, can you please check the output of ps and
find out which saver is running at the time?  Alternatively pick a single
screensaver out of the bunch.  Try to determine which if any particular
screensaver makes a difference.

That should help to determine if it is the screensaver application itself
or perhaps something else at fault.  If it only occurs with OpenGL screensavers,
then please attach your X server log, X server config file, and a copy
of /var/log/messages as individual uncompressed file attachments using
bugzilla file attach below.
Comment 4 Bill Nottingham 2003-10-30 14:10:29 EST
screensavers run at +10 by default. It's configurable.
Comment 5 Dave Jones 2004-12-07 01:12:45 EST
fc1 - eol

Note You need to log in before you can comment on or make changes to this bug.